;**********************************************************************
;READDATA
;**********************************************************************

pro readData, file, data, DIMS=DIMS, NL=NL, MAPINFO=MAPINFO

	;valor que devuelve si no encuentra el archivo
	data = -1

	envi_batch_init

	envi_open_file, file, r_fid=fid
	if (fid eq -1) then begin
		errorHandler, 'File ' + file + ' not found', 0
	endif

	;consulto las dimensiones del archivo
	envi_file_query, fid, dims=dims, nl=nl

	;para manejar distintas bandas (suponemos que tenemos una sola)
	pos = [0]

	;para administrar la informacion geografica
	;proj = envi_get_projection(fid=fid, pixel_size=pixel_size)

	;para administra informacion de mapeo
	mapInfo = envi_get_map_info(fid=fid)

	;leo los datos del archivo
	data = envi_get_data(dims=dims, fid=fid, pos=pos)

	;retorno datos auxiliares
	if keyword_set(DIMS) then DIMS=dims
	if keyword_set(NL) then NL=nl
	if keyword_set(MAPINFO) then MAPINFO=mapInfo
return
end

